#!/bin/sh
echo 'name: monad-par
version: 0.3.4.2
id: monad-par-0.3.4.2-7cc79868c6e9af5259ba452fac483d89

license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
package-url:
synopsis: A library for parallel programming based on a monad
description: The '\''Par'\'' monad offers a simple API for parallel programming.  The
             library works for parallelising both pure and @IO@ computations,
             although only the pure version is deterministic.  The default
             implementation provides a work-stealing scheduler and supports
             forking tasks that are much lighter weight than IO-threads.
             .
             For complete documentation see "Control.Monad.Par".
             .
             Some examples of use can be found in the @examples/@ directory of
             the source package.
             .
             Other related packages:
             .
             * @abstract-par@ provides the type classes that abstract over different
             implementations of the @Par@ monad.
             .
             * @monad-par-extras@ provides extra combinators and monad transformers layered on top of
             the @Par@ monad.
             .
             Changes in 0.3.4 relative to 0.3:
             .
             * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.
             .
             * Added "Control.Monad.Par.IO"
category: Control,Parallelism,Monads
author: Simon Marlow, Ryan Newton
exposed: True
exposed-modules: Control.Monad.Par Control.Monad.Par.IO
                 Control.Monad.Par.Scheds.Trace
                 Control.Monad.Par.Scheds.TraceInternal
                 Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
hidden-modules: Control.Monad.Par.Scheds.DirectInternal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/monad-par-0.3.4.2
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/monad-par-0.3.4.2
              /usr/local/lib
hs-libraries: HSmonad-par-0.3.4.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: abstract-deque-0.2-26cd9edb4fa7b4793b84c190681a4a84
         abstract-par-0.3.1-8a475b0020d3c20f8fe26aa97d8b74c0
         array-0.4.0.1-3b78425c10ff2dad7acf7e8c8ae014c3
         base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
         containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2
         deepseq-1.3.0.1-5cc4cd89bdc2e8f6db1833d95ec36926
         monad-par-extras-0.3.2-4c1c503d4f5a806fd941be0485e25ba8
         mtl-2.1.2-94c72af955e94b8d7b2f359dadd0cb62
         mwc-random-0.12.0.1-0eb81e69e8af3373af6d996297c93350
         parallel-3.2.0.3-d6c020cb3aa15c71f5f29c0db359fd39
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/monad-par-0.3.4.2/html/monad-par.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/monad-par-0.3.4.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
